metadata:
  name: image-bootable
  format: "Apertis Test Definition 1.0"
  image-types:
    minimal: [ armhf-internal, armhf, arm64, amd64 ]
    target:  [ armhf-internal, armhf, amd64 ]
    basesdk: [ amd64 ]
    sdk:     [ amd64 ]
  image-deployment:
    - APT
    - OSTree
  type: functional
  exec-type: manual
  priority: critical
  description: "Test whether the image is bootable.
                Basic functionality: booting up."
  maintainer: "Apertis Project"

  pre-conditions:
    - "For SDK image: Remember, we're now requiring VirtualBox 4.2.2 for tests
       using Guest Additions. To update setup, please read:"
    - "~https://wiki.apertis.org/Docs/VirtualBox_Guest_Additions"
    - "Download the virtual machine image for the latest SDK release from:"
    - "~https://images.apertis.org/"
    - "For Target/Development images:"
    - "Download latest target/development image released from:"
    - "~https://images.apertis.org/"
    - "Write image to a SD card as explained at:"
    - "~https://wiki.apertis.org/System_Image_Setup#Target_and_development_images"

  expected:
    - "Image boots either to a terminal or graphical environment."

run:
  steps:
    - "Boot image in target device or in the VM for the SDK image."
